# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82.0"
name = "superposition_core"
version = "0.113.0"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core native library for Superposition FFI bindings"
homepage = "https://juspay.io/open-source/superposition"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/juspay/superposition"

[lib]
name = "superposition_core"
crate-type = [
    "lib",
    "cdylib",
]
path = "src/lib.rs"

[[bin]]
name = "uniffi-bindgen"
path = "uniffi-bindgen.rs"

[[test]]
name = "format_integration"
path = "tests/format_integration.rs"

[[test]]
name = "test_filter_debug"
path = "tests/test_filter_debug.rs"

[dependencies.bigdecimal]
version = "0.3.1"
features = ["serde"]

[dependencies.blake3]
version = "1.3.3"

[dependencies.itertools]
version = "0.10.5"

[dependencies.jsonschema]
version = "~0.17"

[dependencies.log]
version = "0.4.20"
features = ["kv_unstable_serde"]

[dependencies.num-bigint]
version = "0.4"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.140"

[dependencies.superposition_types]
version = "0.113.0"
features = [
    "experimentation",
    "api",
]

[dependencies.thiserror]
version = "1.0.57"

[dependencies.toml]
version = "0.8.8"
features = [
    "preserve_order",
    "preserve_order",
]

[dependencies.uniffi]
version = "0.29.3"
features = ["cli"]

[dev-dependencies.uniffi]
version = "0.29.3"
features = ["cli"]

[build-dependencies.cbindgen]
version = "0.26.0"

[lints.clippy]
manual_range_contains = "allow"
mod_module_files = "warn"
